AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::EventStreamHeader Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Eventstreamrpc::EventStreamHeader Class Referencefinal

`#include <EventStreamClient.h>`

## Public Member Functions
| EventStreamHeader (const EventStreamHeader &lhs) noexcept
| EventStreamHeader (EventStreamHeader &&rhs) noexcept
EventStreamHeader & | operator= (const EventStreamHeader &lhs) noexcept
| ~EventStreamHeader () noexcept
| EventStreamHeader (const struct aws_event_stream_header_value_pair &header, Crt::Allocator *allocator=Crt::g_allocator)
| EventStreamHeader (const Crt::String &name, bool value)
| EventStreamHeader (const Crt::String &name, int8_t value)
| EventStreamHeader (const Crt::String &name, int16_t value)
| EventStreamHeader (const Crt::String &name, int32_t value)
| EventStreamHeader (const Crt::String &name, int64_t value)
| EventStreamHeader (const Crt::String &name, Crt::DateTime &value)
| EventStreamHeader (const Crt::String &name, const Crt::String &value, Crt::Allocator *allocator=Crt::g_allocator) noexcept
| EventStreamHeader (const Crt::String &name, Crt::ByteBuf &value)
| EventStreamHeader (const Crt::String &name, Crt::UUID value)
HeaderValueType | GetHeaderValueType ()
Crt::String | GetHeaderName () const noexcept
void | SetHeaderName (const Crt::String &)
bool | GetValueAsBoolean (bool &)
bool | GetValueAsByte (int8_t &)
bool | GetValueAsShort (int16_t &)
bool | GetValueAsInt (int32_t &)
bool | GetValueAsLong (int64_t &)
bool | GetValueAsTimestamp (Crt::DateTime &)
bool | GetValueAsString (Crt::String &) const noexcept
bool | GetValueAsBytes (Crt::ByteBuf &)
bool | GetValueAsUUID (Crt::UUID &)
const struct aws_event_stream_header_value_pair * | GetUnderlyingHandle () const
bool | operator== (const EventStreamHeader &other) const noexcept

## Detailed Description

A wrapper around an `aws_event_stream_header_value_pair` object.

## Constructor & Destructor Documentation

## ◆ EventStreamHeader() [1/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const EventStreamHeader & | lhs | ) |
| noexcept

## ◆ EventStreamHeader() [2/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | EventStreamHeader && | rhs | ) |
| noexcept

## ◆ ~EventStreamHeader()

Aws::Eventstreamrpc::EventStreamHeader::~EventStreamHeader | ( |  | ) |
| noexcept

## ◆ EventStreamHeader() [3/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const struct aws_event_stream_header_value_pair & | header,
|  | Crt::Allocator * | allocator = `Crt::g_allocator`
| ) |  |

## ◆ EventStreamHeader() [4/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | bool | value
| ) |  |

## ◆ EventStreamHeader() [5/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | int8_t | value
| ) |  |

## ◆ EventStreamHeader() [6/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | int16_t | value
| ) |  |

## ◆ EventStreamHeader() [7/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | int32_t | value
| ) |  |

## ◆ EventStreamHeader() [8/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | int64_t | value
| ) |  |

## ◆ EventStreamHeader() [9/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | Crt::DateTime & | value
| ) |  |

## ◆ EventStreamHeader() [10/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | const Crt::String & | value,
|  | Crt::Allocator * | allocator = `Crt::g_allocator`
| ) |  |
| noexcept

## ◆ EventStreamHeader() [11/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | Crt::ByteBuf & | value
| ) |  |

## ◆ EventStreamHeader() [12/12]

Aws::Eventstreamrpc::EventStreamHeader::EventStreamHeader | ( | const Crt::String & | name,
|  | Crt::UUID | value
| ) |  |

## Member Function Documentation

## ◆ GetHeaderName()

Crt::String Aws::Eventstreamrpc::EventStreamHeader::GetHeaderName | ( |  | ) | const
| noexcept

## ◆ GetHeaderValueType()

HeaderValueType Aws::Eventstreamrpc::EventStreamHeader::GetHeaderValueType | ( |  | ) |

## ◆ GetUnderlyingHandle()

const struct aws_event_stream_header_value_pair * Aws::Eventstreamrpc::EventStreamHeader::GetUnderlyingHandle | ( |  | ) | const

## ◆ GetValueAsBoolean()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsBoolean | ( | bool & |  | ) |

## ◆ GetValueAsByte()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsByte | ( | int8_t & |  | ) |

## ◆ GetValueAsBytes()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsBytes | ( | Crt::ByteBuf & |  | ) |

## ◆ GetValueAsInt()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsInt | ( | int32_t & |  | ) |

## ◆ GetValueAsLong()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsLong | ( | int64_t & |  | ) |

## ◆ GetValueAsShort()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsShort | ( | int16_t & |  | ) |

## ◆ GetValueAsString()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsString | ( | Crt::String & | value | ) | const
| noexcept

## ◆ GetValueAsTimestamp()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsTimestamp | ( | Crt::DateTime & |  | ) |

## ◆ GetValueAsUUID()

bool Aws::Eventstreamrpc::EventStreamHeader::GetValueAsUUID | ( | Crt::UUID & |  | ) |

## ◆ operator=()

EventStreamHeader & Aws::Eventstreamrpc::EventStreamHeader::operator= | ( | const EventStreamHeader & | lhs | ) |
| noexcept

## ◆ operator==()

bool Aws::Eventstreamrpc::EventStreamHeader::operator== | ( | const EventStreamHeader & | other | ) | const
| noexcept

## ◆ SetHeaderName()

void Aws::Eventstreamrpc::EventStreamHeader::SetHeaderName | ( | const Crt::String & |  | ) |

The documentation for this class was generated from the following files:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h
- eventstream_rpc/source/EventStreamClient.cpp